> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Unpin a message > Remove a pinned message from the channel. ### Changelog | Version | Description | | -------------| ------------| | 0.59.0 | Added | ## OpenAPI ````json POST /api/v1/chat.unPinMessage { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.unPinMessage": { "post": { "tags": [ "Chat" ], "summary": "Unpin a message", "description": "Remove a pinned message from the channel.\n\n### Changelog\n| Version | Description | \n| -------------| ------------|\n| 0.59.0 | Added |", "operationId": "post-api-v1-chat.unPinMessage", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "messageId": { "type": "string", "description": "The message ID you want to to unpin." } }, "required": [ "messageId" ] }, "examples": { "Example": { "value": { "messageId": "7aDSXtjMA3KPLxLjt" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Missing Parameter": { "value": { "success": "false", "error": "The required \"messageId\" param is missing. [error-messageid-param-not-provided]", "errorType": "error-messageid-param-not-provided" } }, "Invalid Parameter": { "value": { "success": "false", "error": "The provided \"messageId\" does not match any existing message. [error-message-not-found]", "errorType": "error-message-not-found" } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": "true" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````